cancel
Showing results for 
Search instead for 
Did you mean: 

Simple, fast (non-solid) Graphics Display in NX

Genius
Genius

I'd like to display some quick 3D graphics like cylinders, retangular planes, etc. without the overhead of creating parasolid geometry.

 

Going though the NXOpen documentation, I see there are functions for displaying lines, arcs, splines and so on but didn't see anyway to do more advanced geometry.

 

Any suggestions? 

3 REPLIES

Re: Simple, fast (non-solid) Graphics Display in NX

Genius
Genius

 

 

Perhaps Studio Spline? It's accessible in Reverse Engineering and Realize Shape 

Re: Simple, fast (non-solid) Graphics Display in NX

Genius
Genius

No, thats still a line.  I want a volume (or at least something like a face).

 

Facet bodies might work but even they are kind of overkill for what I want.

Re: Simple, fast (non-solid) Graphics Display in NX

Siemens Phenom Siemens Phenom
Siemens Phenom

We have ...

 

NXOpen.UF.UFDisp.DisplayTemporaryArc

NXOpen.UF.UFDisp.DisplayTemporaryLine

 

or their SNAP equivalents:

 

Snap.Draw.DrawArc

Snap.Draw.DrawLine

Snap.Draw.DrawPolyLine

 

Obviously you can draw any wire-frame thing you like by using lines or polylines.

 

If you want shaded display, then one option is

 

NXOpen.UF.UFDisp.DisplayPolygon

 

though this is only allowed in the display callback of a UDO. 

 

Another option, as you say, is to create a facetted body.

 

 

 

山田
yamada